Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class AbstractRendererMaker

    java.lang.Object
      org.apache.fop.render.AbstractRendererMaker

Direct Known Subclasses:
  AFPRendererMaker, AWTRendererMaker, PCLRendererMaker, PDFRendererMaker, PNGRendererMaker, PrintRendererMaker, PSRendererMaker, SVGRendererMaker, TIFFRendererMaker, TXTRendererMaker, XMLRendererMaker

public abstract class AbstractRendererMaker
extends java.lang.Object

Base class for factory classes which instantiate Renderers and provide information about them.

Constructor Summary
`AbstractRendererMaker()`

Method Summary
`RendererConfigurator` | `getConfigurator(FOUserAgent userAgent)` Returns a renderer config object that can be used to configure the renderer.
`abstract java.lang.String[]` | `getSupportedMimeTypes()`
`boolean` | `isMimeTypeSupported(java.lang.String mimeType)` Indicates whether a specific MIME type is supported by this renderer.
`abstract Renderer` | `makeRenderer(FOUserAgent userAgent)` Instantiates a new renderer.
`abstract boolean` | `needsOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRendererMaker

    public AbstractRendererMaker()

Method Detail

### makeRenderer

    public abstract Renderer makeRenderer(FOUserAgent userAgent)

  Instantiates a new renderer.

  Parameters:
    `userAgent` - the user agent
  Returns:
    the newly instantiated renderer

### needsOutputStream

    public abstract boolean needsOutputStream()

  Returns:
    Indicates whether this renderer requires an OutputStream to work with.

### getSupportedMimeTypes

    public abstract java.lang.String[] getSupportedMimeTypes()

  Returns:
    an array of MIME types the renderer supports.

### getConfigurator

    public RendererConfigurator getConfigurator(FOUserAgent userAgent)

  Returns a renderer config object that can be used to configure the renderer.

  Parameters:
    `userAgent` - user agent
  Returns:
    a config object that can be used to configure the renderer

### isMimeTypeSupported

    public boolean isMimeTypeSupported(java.lang.String mimeType)

  Indicates whether a specific MIME type is supported by this renderer.

  Parameters:
    `mimeType` - the MIME type (ex. "application/pdf")
  Returns:
    true if the MIME type is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.